comonad-4.2.7.2: Comonads

Copyright | (C) 2008-2011 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

Control.Comonad.Trans.Identity

Description

Synopsis

- newtype IdentityT f a :: (* -> *) -> * -> * = IdentityT {
  - runIdentityT :: f a
  }

# Documentation

newtype IdentityT f a :: (* -> *) -> * -> *

The trivial monad transformer, which maps a monad to an equivalent monad.

Constructors

IdentityT |

Fields

runIdentityT :: f a

Instances

MonadTrans IdentityT |
ComonadTrans IdentityT Source |
ComonadHoist IdentityT Source |
ComonadEnv e w => ComonadEnv e (IdentityT w) Source |
ComonadStore s w => ComonadStore s (IdentityT w) Source |
ComonadTraced m w => ComonadTraced m (IdentityT w) Source |
Monad m => Monad (IdentityT m) |
Functor m => Functor (IdentityT m) |
MonadFix m => MonadFix (IdentityT m) |
Applicative m => Applicative (IdentityT m) |
Foldable f => Foldable (IdentityT f) |
Traversable f => Traversable (IdentityT f) |
Alternative m => Alternative (IdentityT m) |
MonadPlus m => MonadPlus (IdentityT m) |
Contravariant f => Contravariant (IdentityT f) |
Distributive g => Distributive (IdentityT g) |
Eq1 f => Eq1 (IdentityT f) |
Ord1 f => Ord1 (IdentityT f) |
Read1 f => Read1 (IdentityT f) |
Show1 f => Show1 (IdentityT f) |
MonadIO m => MonadIO (IdentityT m) |
ComonadApply w => ComonadApply (IdentityT w) Source |
Comonad w => Comonad (IdentityT w) Source |
(Eq1 f, Eq a) => Eq (IdentityT f a) |
(Ord1 f, Ord a) => Ord (IdentityT f a) |
(Read1 f, Read a) => Read (IdentityT f a) |
(Show1 f, Show a) => Show (IdentityT f a) |